### Method

# AppStream Component set_branch

since: 0.14.0

#### Declaration [src]

    void
    as_component_set_branch (
      AsComponent* cpt,
      const gchar* branch
    )

#### Description [src]

Set the branch that the component instance was sourced from.

Available since: 0.14.0

#### Parameters

`branch`

  Type: `const gchar*`

  The branch, e.g. “master” or “3-16”.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.